
From: Anton Blanchard <anton@samba.org>

Now that the acenic has been converted to the hotplug API a number of uses
of __init and __initdata have to be changed to __devinit and __devinitdata.

Acked-by: Jes Sorensen <jes@trained-monkey.org>
Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/acenic.c          |   20 ++++++++++----------
 25-akpm/drivers/net/acenic_firmware.h |    2 +-
 2 files changed, 11 insertions(+), 11 deletions(-)

diff -puN drivers/net/acenic.c~fix-acenic-hotplug drivers/net/acenic.c
--- 25/drivers/net/acenic.c~fix-acenic-hotplug	Tue Oct  5 14:31:36 2004
+++ 25-akpm/drivers/net/acenic.c	Tue Oct  5 14:31:36 2004
@@ -444,7 +444,7 @@ MODULE_PARM_DESC(max_rx_desc, "AceNIC/3C
 MODULE_PARM_DESC(tx_ratio, "AceNIC/3C985/GA620 ratio of NIC memory used for TX/RX descriptors (range 0-63)");
 
 
-static char version[] __initdata = 
+static char version[] __devinitdata =
   "acenic.c: v0.92 08/05/2002  Jes Sorensen, linux-acenic@SunSITE.dk\n"
   "                            http://home.cern.ch/~jes/gige/acenic.html\n";
 
@@ -898,7 +898,7 @@ static inline void ace_issue_cmd(struct 
 }
 
 
-static int __init ace_init(struct net_device *dev)
+static int __devinit ace_init(struct net_device *dev)
 {
 	struct ace_private *ap;
 	struct ace_regs __iomem *regs;
@@ -2901,7 +2901,7 @@ static struct net_device_stats *ace_get_
 }
 
 
-static void __init ace_copy(struct ace_regs __iomem *regs, void *src,
+static void __devinit ace_copy(struct ace_regs __iomem *regs, void *src,
 			    u32 dest, int size)
 {
 	void __iomem *tdest;
@@ -2934,7 +2934,7 @@ static void __init ace_copy(struct ace_r
 }
 
 
-static void __init ace_clear(struct ace_regs __iomem *regs, u32 dest, int size)
+static void __devinit ace_clear(struct ace_regs __iomem *regs, u32 dest, int size)
 {
 	void __iomem *tdest;
 	short tsize = 0, i;
@@ -2967,7 +2967,7 @@ static void __init ace_clear(struct ace_
  * This operation requires the NIC to be halted and is performed with
  * interrupts disabled and with the spinlock hold.
  */
-int __init ace_load_firmware(struct net_device *dev)
+int __devinit ace_load_firmware(struct net_device *dev)
 {
 	struct ace_private *ap = netdev_priv(dev);
 	struct ace_regs __iomem *regs = ap->regs;
@@ -3018,7 +3018,7 @@ int __init ace_load_firmware(struct net_
  * Thanks to Stevarino Webinski for helping tracking down the bugs in the
  * code i2c readout code by beta testing all my hacks.
  */
-static void __init eeprom_start(struct ace_regs __iomem *regs)
+static void __devinit eeprom_start(struct ace_regs __iomem *regs)
 {
 	u32 local;
 
@@ -3047,7 +3047,7 @@ static void __init eeprom_start(struct a
 }
 
 
-static void __init eeprom_prep(struct ace_regs __iomem *regs, u8 magic)
+static void __devinit eeprom_prep(struct ace_regs __iomem *regs, u8 magic)
 {
 	short i;
 	u32 local;
@@ -3084,7 +3084,7 @@ static void __init eeprom_prep(struct ac
 }
 
 
-static int __init eeprom_check_ack(struct ace_regs __iomem *regs)
+static int __devinit eeprom_check_ack(struct ace_regs __iomem *regs)
 {
 	int state;
 	u32 local;
@@ -3112,7 +3112,7 @@ static int __init eeprom_check_ack(struc
 }
 
 
-static void __init eeprom_stop(struct ace_regs __iomem *regs)
+static void __devinit eeprom_stop(struct ace_regs __iomem *regs)
 {
 	u32 local;
 
@@ -3147,7 +3147,7 @@ static void __init eeprom_stop(struct ac
 /*
  * Read a whole byte from the EEPROM.
  */
-static int __init read_eeprom_byte(struct net_device *dev,
+static int __devinit read_eeprom_byte(struct net_device *dev,
 				   unsigned long offset)
 {
 	struct ace_private *ap = netdev_priv(dev);
diff -puN drivers/net/acenic_firmware.h~fix-acenic-hotplug drivers/net/acenic_firmware.h
--- 25/drivers/net/acenic_firmware.h~fix-acenic-hotplug	Tue Oct  5 14:31:36 2004
+++ 25-akpm/drivers/net/acenic_firmware.h	Tue Oct  5 14:31:36 2004
@@ -23,7 +23,7 @@
 #define tigonFwRodata NULL
 #else
 /* Generated by genfw.c */
-static u32 tigonFwText[(MAX_TEXT_LEN/4) + 1] __initdata = {
+static u32 tigonFwText[(MAX_TEXT_LEN/4) + 1] __devinitdata = {
 0x10000003, 
 0x0, 0xd, 0xd, 0x3c1d0001, 
 0x8fbd5c54, 0x3a0f021, 0x3c100000, 0x26104000, 
_
